2007-04-07  Thomas Schwinge  <tschwinge@gnu.org>

	* swapon.c (main, doc) [!SWAPOFF]: Unless overridden, consider a
	swap signature when deciding whether to add a paging device or not.

	* MAKEDEV.sh (mkdev): Specify the creation of `lpr[0-9]' devices.

2002-09-17  Marcus Brinkmann  <marcus@gnu.org>

	* MAKEDEV.sh (mkdev: vcs): New console device.
	(mkdev: tty[0-9a-f]|tty[0-9][0-9a-f]): Replaced with new rules for
	tty[1-9][0-9].

2002-06-26  Roland McGrath  <roland@frob.com>

	* swapon.c (swaponoff): Fix last change.

2002-06-14  Roland McGrath  <roland@frob.com>

	* swapon.c (swaponoff): If get_privileged_ports fails with EPERM, try
	to open /servers/default-pager instead.

2002-05-07  Roland McGrath  <roland@frob.com>

	* swapon.c (check_signature): Use %zu for size_t arg.

2002-05-03  Roland McGrath  <roland@frob.com>

	* reboot.c: Include <error.h>.
	* halt.c: Likewise.

2002-03-23  James A. Morrison  <ja2morri@uwaterloo.ca>

	* halt.c (main): Use error, not perror.
	* reboot.c (main): Likewise.
	* update.c (main): Use error, not perror and exit.

2002-03-23  Roland McGrath  <roland@frob.com>

	* MAKEDEV.sh (mkdev: shm): Change tmpfs size argument to 50%.

	* MAKEDEV.sh (mkdev: shm): Give the file mode 644 and pass
	options to tmpfs: -m 1777 512M.

	* MAKEDEV.sh (mkdev: shm): New, uses /hurd/tmpfs filesystem.
	(mkdev: std): Add shm to the standard list.

2001-09-06  Roland McGrath  <roland@frob.com>

	* MAKEDEV.sh (pty cases): Remove ptyT? from the set.  Add pty?[g-v].

2001-02-27  Roland McGrath  <roland@frob.com>

	Use a new, more flexible RPC interface to the default pager.
	This allows swapon to do its own interpretation of Linux swap
	signature pages, and to support partial-device stores such as
	store_open will return for regular files on disk filesystems.
	* swapon.c: Include <hurd/default_pager.h>, not <mach/default_pager.h>.
	(ignore_signature, require_signature, quiet): New variables.
	(options): Add --silent, --no-signature, --require-signature.
	(main: parse_opt): Parse them.
	(check_signature): New function.
	(swaponoff): Use it unless --no-signature set, to get a remapped store
	using the pages indicated by the Linux signature page.  Try new
	default_pager_paging_storage RPC first, using a possibly-remapped
	device store.  If the default pager does not support that, fall back
	to the old protocol that only supports whole devices (and wherein the
	default pager itself interprets a Linux signature page).
	* Makefile (swapon, swapoff): Depend on default_pagerUser.o.

2001-02-18  Marcus Brinkmann  <marcus@gnu.org>

	* fstab.c (STORE): Only copy when field exists (is non-zero).
	Reported by Alexey Dejeka <alexey@comail.ru>.

2001-01-14  Marcus Brinkmann  <marcus@gnu.org>

	* MAKEDEV.sh (mkdev: klog): New device, using /hurd/streamio kmsg.
	(mkdev: std): Add klog to the standard list.

2000-03-17  Thomas Bushnell, BSG  <tb@mit.edu>

	* clookup.c (file_name_lookup_carefully): Don't use MOVE_SEND in
	Hurd RPC.

1999-12-03  Roland McGrath  <roland@baalperazim.frob.com>

	* MAKEDEV.sh (mkdev: full): New device, using /hurd/null --full.
	(mkdev: std): Add full to the standard list.

1999-11-19  Roland McGrath  <roland@baalperazim.frob.com>

	* MAKEDEV.sh (mkdev: time): Use --no-cache flag.
	(mkdev: mem): New storeio device.
	(mkdev: std): Add mem to standard list.

	* Makefile (progs, scripts): New variables.
	(targets, special-targets, SRCS, OBJS): Define in terms of those.
	(libshouldbeinlibc dep rule): Replaced with static pattern rule
	with $(progs) as target list, giving %.o dep as well.

1999-11-16  Roland McGrath  <roland@baalperazim.frob.com>

	* swapon.c (swaponoff): Check for a null default pager port.

1999-10-01  Roland McGrath  <roland@baalperazim.frob.com>

	* fstab.c (fstypes_get): Check strdup return for ENOMEM failure.
	(fstypes_find_program): New function, #if 0'd out for now.
	(fstab_argp, fstab_argp_create, options, parse_opt): New variables
	and functions.
	* fstab.h: Misc comment fixes.
	(struct fstab_argp_params): New type.
	(fstab_argp, fstab_argp_create): Declare them.
	* fsck.c (options): Remove --fstab/-F, --search-fmts/-S,
	--exclude-root/-R, --exclude/-X, --fstype/-t, --all/-A;
	all of these are now factored out into fstab_argp.
	(main): Remove parsing code for options now in fstab_argp.
	Instead, use fstab_argp as an argp_child and use fstab_argp_create
	to process the option-parsing results into a struct fstab * to process.

	* fstab.c (fstab_read): Undo change of 1999-09-17.
	It should not be necessary at all, given 1999-05-23 change, and:
	(fstab_find_mount): Do not consider name "ignore" to match any mount.

1999-10-11  Roland McGrath  <roland@baalperazim.frob.com>

	* MAKEDEV.sh (fd): Pass --directory to /hurd/magic translator.

1999-09-17  Thomas Bushnell, BSG  <tb@mit.edu>

	* fstab.c (fstab_read): Ignore filesystems with types of ignore,
	nfs, or swap.

1999-09-14  Thomas Bushnell, BSG  <tb@mit.edu>

	* MAKEDEV.sh (mkdev): pty master and slave nodes should have mode
	666, not 640.  Reported by Marcus Brinkmann
	<Marcus.Brinkmann@ruhr-uni-bochum.de>.

1999-07-10  Roland McGrath  <roland@baalperazim.frob.com>

	* clookup.c: Add #include <sys/mman.h>.

	* Makefile (special-targets): Add losetup.
	(SCRIPTS): Add losetup.sh.
	* losetup.sh: New file.

1999-07-03  Thomas Bushnell, BSG  <tb@mit.edu>

	* clookup.c (file_name_lookup_carefully): Use munmap instead of
	vm_deallocate.

1999-06-11  Roland McGrath  <roland@baalperazim.frob.com>

	* fstab.c (fstypes_get): Don't free PROGRAM twice on ENOENT failure.

	* fsck.c (options): Add -t/--fstype option.
	(main): Parse that option, and use it to constrain fstab list.

	* fsck.c (FSCK_F_DRYRUN): New macro.
	(options, main): Add -N/--dry-run option to set it.
	(fs_start_fsck): If FSCK_F_DRYRUN set, just print out and return zero.
	* fsck.c (fscks_start_fsck): If FSCK_F_DRYRUN is set, don't try to
	make read-only, just print a message that we would.

	* fsck.c (options, main): Change --fstab from -t to -F.

1999-06-10  Roland McGrath  <roland@baalperazim.frob.com>

	* fsck.c (options): Add -A/--all and -R/--exclude-root options for
	compatibility with Linux, and --exclude=PATTERN as general form.
	(main): Parse them.  Constrain fstab list by exclude patterns.

	* fsck.c (fsck): Don't check for "noauto" mntopt.  No other system
	skips a filesystem because of it.
	(fsck): Always start at pass 1, not 0.  In every other system,
	"pass 0" always means to skip that filesystem entirely.

1999-05-23  Roland McGrath  <roland@baalperazim.frob.com>

	* MAKEDEV.sh (ECHO, EXEC): Do not export.
	(DEVDIR): Initialize to `pwd` before argument parsing.
	(_CWD): Don't set this.
	(lose): New function.  Use it for all miscellaneous fatal errors.
	(mkdev): Disallow directory names.  Always use ${DEVDIR} for name to
	embed in translator settings.
	Rewrite syntax checking for disk device names.

	* fstab.c, fstab.h: Add numerous `const' qualifiers.

	* fstab.c (fstab_find_mount): Don't count "none" or "-" as matching
	any other entry.

	* fsck.c (struct fsck): Don't use bitfield.

1999-05-15  Roland McGrath  <roland@baalperazim.frob.com>

	* swapon.c: Support -a (reading fstab).

1999-05-13  Roland McGrath  <roland@baalperazim.frob.com>

	* MAKEDEV.sh (case 'time'): Make /dev/time mode 644, not 666.

Thu Feb 18 02:13:47 1999  Thomas Bushnell, BSG  <tb@mit.edu>

	* MAKEDEV.sh (mkdev): put `time' in single-quotes; it's a reserved
 	word in bash 2.02 and this protects it.  Reported by OKUJI
 	Yoshinori <okuji@kuicr.kyoto-u.ac.jp>.

Mon Feb  1 16:27:15 1999  Thomas Bushnell, BSG  <tb@mit.edu>

	* MAKEDEV.sh (PATH): Add /usr/bin out of deference to users
	lacking the /usr symlink.  Requested by Marcus Brinkmann
	<Marcus.Brinkmann@ruhr-uni-bochum.de>.

1998-11-29  Roland McGrath  <roland@baalperazim.frob.com>

	* fsck.c (main): Add braces to silence gcc warning.

	* fstab.c: Rename fsys_remount -> fsys_update in extern decl.

1998-11-28  Roland McGrath  <roland@baalperazim.frob.com>

	* clookup.c (file_name_lookup_carefully): Change __getuids to geteuids.
	Use hurd_file_name_lookup instead of __hurd_file_name_lookup.

1998-10-24  Roland McGrath  <roland@baalperazim.frob.com>

	* clookup.c (file_name_lookup_carefully): Use getdport instead of
	__getdport, getumask () instead of _hurd_umask.

1998-10-20  Roland McGrath  <roland@baalperazim.frob.com>

	* fstab.c (fstab_add_mntent): Add braces to silence gcc warning.
	(fs_readonly): Likewise.

1998-07-19  Roland McGrath  <roland@baalperazim.frob.com>

	* swapon.c (main): Fix return type to int, and use return.

1997-10-28  Miles Bader  <miles@gnu.ai.mit.edu>

	* MAKEDEV.sh (mkdev): Support 256 ptys.

1997-08-20  Miles Bader  <miles@gnu.ai.mit.edu>

	* fstab.c (_fs_check_mounted): file_get_translator_cntl can also
	return ENXIO for an inactive translator.

1997-08-19  Miles Bader  <miles@gnu.ai.mit.edu>

	* MAKEDEV.sh (mkdev): Handle devices of the form "cd*".

1997-07-22  Miles Bader  <miles@gnu.ai.mit.edu>

	* MAKEDEV.sh (time): Use /hurd/storeio instead of /hurd/devport.

1997-07-09  Miles Bader  <miles@gnu.ai.mit.edu>

	* Makefile (targets): Add swapon & swapoff.
	(SRCS): Add swapon.c & swapoff.c.
	Add dependencies on libstore.
	(HURDLIBS): Add libstore.

1997-06-25  Miles Bader  <miles@gnu.ai.mit.edu>

	* MAKEDEV.sh (mkdev): Add missing `ln' to command for stderr.

1997-06-24  Miles Bader  <miles@gnu.ai.mit.edu>

	* MAKEDEV.sh: Use bash fancy variables instead of various programs.
	Try to get the correct devdir even if it's not the cwd.
	Add new options --verbose/-v and --dry-run/-n.
	(cmd): New function.
	(st, mkdir): Use cmd to execute any real commands.

1997-06-23  Miles Bader  <miles@gnu.ai.mit.edu>

	* MAKEDEV.sh: Add the --devdir/-D option.
	Use the basename of $I instead of $I for various things.
	Correctly put derived names in the same directory as the arg.

1997-06-21  Miles Bader  <miles@gnu.ai.mit.edu>

	* e2os.sh: Use conv=notrunc when writing the superblock back to
	the filesystem device, in case it's a file and not a real device.

	* e2os.sh: If $OD & $AWK don't exist, try to get them from
	/usr/bin, so that this script works under linux too.

Fri Feb 28 21:27:20 1997  Miles Bader  <miles@gnu.ai.mit.edu>

	* fsck.c (fsck_cleanup): Correctly remove from fscks chain.

Sun Feb 23 02:57:46 1997  Miles Bader  <miles@gnu.ai.mit.edu>

	* MAKEDEV.sh (mkdev): Make I local.

Wed Feb 19 23:08:04 1997  Miles Bader  <miles@gnu.ai.mit.edu>

	* halt.c, reboot.c, fsck.c (argp_program_version): Make const.

Wed Feb  5 11:50:19 1997  Miles Bader  <miles@gnu.ai.mit.edu>

	* fstab.c (fstypes_get): Improve error behavior a bit.

	* fsck.c (fsck): In non-automatic mode, print a warning if a
	filesystem is of a type that can't be fscked.

Tue Feb  4 17:09:39 1997  Miles Bader  <miles@gnu.ai.mit.edu>

	* fstab.c (fs_set_mntent): Avoid null deferences.
	(fstypes_get): Fill in FSTYPE in the case where we added a new type.

Thu Sep 26 15:36:55 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* Makefile (targets, special-targets): Add MAKEDEV.
	(SCRIPTS): Add MAKEDEV.sh.
	(DIST_FILES): Variable removed.
	(all): Target removed.
	($(prefix)/dev/MAKEDEV): Get rid of dependencies.
	Implement with a symbolic link to /sbin/MAKEDEV.
	(%: %.sh): Variable removed.

Tue Sep 24 14:46:11 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* MAKEDEV.sh: Fix argument parsing.
	(zero): Use `storeio -Tzero' instead of `null -z'.

Thu Sep 19 17:48:59 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* fstab.c (fs_remount): Use fsys_update instead of fsys_remount.

Wed Sep 18 19:12:19 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* MAKEDEV.sh: Use a shell function `mkdev' for recursion, rather
	than calling this script recursively.

Thu Sep 12 18:53:42 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* fsck.c (fs_start_fsck): Print an error for filesystem types we
	don't know how to fsck, instead of dying with an assertion failure.

Thu Sep 19 16:58:18 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* Makefile (install): Depend on installation directory directly;
	don't make installed files depend on it.

Tue Sep 17 12:36:09 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* Makefile ($(prefix)/dev/MAKEDEV): Depend on $(prefix)/dev.
	($(prefix)/dev): New target.

Thu Sep 12 16:38:11 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* Makefile (HURDLIBS): New variable.

Sun Sep  8 13:57:34 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* MAKEDEV.sh: New file.
	* Makefile (DIST_FILES): New variable.
	(install): Depend on $(prefix)/dev/MAKEDEV.
	(all): Depend on MAKEDEV.
	($(prefix)/dev/MAKEDEV): New rule.

Thu Sep  5 11:40:00 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* Makefile: Use $(top_srcdir)/sh-version.sed to make executables
	from .sh files.

	* fsck.c: Include <version.h>.
 	(argp_program_version): Define with STANDARD_HURD_VERSION.
	* halt.c: Likewise.
	* reboot.c: Likewise.

Tue Aug 27 12:06:55 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* reboot.c, halt.c (main): Add argument parsing.
	(argp_program_version): New variable.
	<argp.h>, <hurd.h>: New includes.
	* Makefile (fsck): Remove dependency on libshouldbeinlibc.a.
	(reboot halt fsck): Add dependency on libshouldbeinlibc.a.

Mon Aug 19 15:17:38 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* fsck.c (doc): Supply a useful value.

Wed Aug 14 13:32:12 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* e2os.sh: Add `;' before last commands inside { } pairs.
	(OS_FREEBSD, OS_LITES): New variables.
	Add symbolic names for freebsd & lites.

Mon Aug 12 10:51:24 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* e2os.sh: New file.
	* Makefile (targets): Add e2os.
	(SRCS): Add $(SCRIPTS).
	(special-targets, SCRIPTS, LCLHDRS): New variables.

Thu Aug  1 16:29:31 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* clookup.c (file_name_lookup_carefully/lookup): When appending
	TAIL to RETRY_NAME, use strcpy instead of strcat.

Sat Jul  6 19:55:22 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* fsck.c: (argp_program_version): New variable.

Wed Jul  3 14:22:03 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* fstab.c (fstab_add_fs): Don't SEGV if COPY is 0.

Thu Jun 27 00:01:04 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* fsck.c (fsck): Fsck pass 0 if not in automatic mode.  Respect
	`noauto' option in automatic mode.
	(main): Set FSCK_F_AUTO flag if in automatic mode.
	(FSCK_F_AUTO): New macro.
	(fs_start_fsck): When deciding to use a flags arg, mask flags
	against an explicit list of valid ones.

Tue Jun 25 18:39:44 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* fsck.c (main, options): Add --writable/-w option.
	(FSCK_F_WRITABLE): New macro.
	(struct fsck): Rename WAS_READONLY field to MAKE_WRITABLE.
	(fscks_start_fsck): Change to set make_writable field instead of
	was_readonly.
	(fsck_cleanup): Change RESTORE_WRITABLE to MAKE_WRITABLE.
	(fscks_wait): Likewise.

Thu Jun 20 14:08:12 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* fsck.c (fsck): Wait for fscks to finish.
	* fstab.c (fstypes_create): Copy SEARCH_FMTS contents into NEW.
	(fs_set_mntent): Don't keep old fsys fields if the mnt_dir is changed.
	(fstab_add_mntent): Initialize fields in FS with non-zero values.
	(_fs_check_mounted): The root is always mounted.

Wed Jun 19 10:44:16 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* fstab.c (fs_set_readonly, fs_remount): If fsys_set_options
	returns EINVAL, return EOPNOTSUPP instead.
	(fs_set_readonly): Use fsys_set_readonly.
	(fs_remount): Use fsys_remount.
	(fs_readonly): Use fsys_get_readonly.
	(_fs_check_mounted): Use file_name_lookup_carefully.
	* clookup.c: New file.
	* fsck.c (_debug): New variable.
	(debug, fs_debug): New macros.
	(fs_start_fsck, fscks_start_fsck, fsck_cleanup, fscks_wait, fsck, main):
	Add debugging noise.
	(main): Use FSTAB_PATH instead of _PATH_MNTTAB.
	(args_doc): Fix.

Tue Jun 18 22:56:11 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* fsck.c (options): Rename `--max-parallel' to `--parallel'.
